sampler CurrentLightMapSampler : register(s0);

Texture NewLightMap;
sampler NewLightMapSampler = sampler_state {
	texture = <NewLightMap>;
	magfilter = LINEAR;
	minfilter = LINEAR;
	mipfilter = LINEAR;
	AddressU = mirror;
	AddressV = mirror;
};

float4 CombineLightMapsPS(float4 color : COLOR0, 
                                 float2 texCoord : TEXCOORD0) : COLOR0
{
	// get base texture and normals
	float4 currentMap = tex2D(CurrentLightMapSampler, texCoord);
	float4 newMap = tex2D(NewLightMapSampler, texCoord);
	
	//combine shading maps
	float4 final = currentMap + newMap;
	final.a = 1;
	
	return final;
}

technique CombineLightMaps
{
    pass Pass0
    {
        PixelShader = compile ps_2_0 CombineLightMapsPS();
    }
}
