sampler ColorMapSampler : register(s0);

float4 AmbientColor;
float AmbientBrightness;
float Boost;

Texture LightMap;
sampler LightMapSampler = sampler_state {
	texture = <LightMap>;
	magfilter = LINEAR;
	minfilter = LINEAR;
	mipfilter = LINEAR;
	AddressU = mirror;
	AddressV = mirror;
};

float4 CombinedPixelShader(float4 color : COLOR0, float2 texCoords : TEXCOORD0) : COLOR0
{
	float4 base = tex2D(ColorMapSampler, texCoords);
	float4 shading = tex2D(LightMapSampler, texCoords);

	float4 finalColor = (base * AmbientColor * AmbientBrightness);
	finalColor += base * shading * Boost;
	finalColor.a = base.a;
	
	return finalColor;
}

technique CombineLighting
{
    pass Pass1
    {
        PixelShader = compile ps_2_0 CombinedPixelShader();
    }
}